Subject: Re: [PATCH] net: rocker: Add basic netdev counters - v2

From: David Ahern <[email-masked]>
Date: Fri, 16 Jan 2015 16:48:59 -0700

On 1/16/15 4:41 PM, Scott Feldman wrote:
>
> Thanks David.  I think this is good enough for first pass.  Longer
> term, I'd like to see this replaced by stats read from device for each
> port.

Aren't there 2 sets of stats at play here?
1. packets punted to the control plane / CPU,
2. packets forwarded through the ports.

If you have the netdev counters resemble packets handled through the 
port it could be confusing to someone looking at packets handled by the OS.

What about having detailed counters local to the driver (i.e., ethtool 
-S) show the low level stats like packets handled through the port?

David